package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.math.BigDecimal;

/**
 * <p>
 * 采购合同审核-增值税要求表
 * </p>
 *
 * @author yafan
 * @since 2024-01-08
 */
@TableName("purch_contract_approval_vat_info")
public class PurchContractApprovalVatInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 税率
     */
    @TableField("tax_rate")
    private BigDecimal taxRate;

    /**
     * 发票类型
     */
    @TableField("receipt_type")
    private String receiptType;

    /**
     * 开票周期
     */
    @TableField("open_cycle")
    private String openCycle;

    /**
     * 发票开户行
     */
    @TableField("open_bank")
    private String openBank;

    /**
     * 发票账号
     */
    @TableField("receipt_account")
    private String receiptAccount;

    /**
     * 发票备注
     */
    @TableField("receipt_remark")
    private String receiptRemark;

    /**
     * 采购合同审核表Id
     */
    @TableField("purch_contract_approval_id")
    private Long purchContractApprovalId;

    public BigDecimal getTaxRate() {
        return taxRate;
    }

    public void setTaxRate(BigDecimal taxRate) {
        this.taxRate = taxRate;
    }

    public String getReceiptType() {
        return receiptType;
    }

    public void setReceiptType(String receiptType) {
        this.receiptType = receiptType;
    }

    public String getOpenCycle() {
        return openCycle;
    }

    public void setOpenCycle(String openCycle) {
        this.openCycle = openCycle;
    }

    public String getOpenBank() {
        return openBank;
    }

    public void setOpenBank(String openBank) {
        this.openBank = openBank;
    }

    public String getReceiptAccount() {
        return receiptAccount;
    }

    public void setReceiptAccount(String receiptAccount) {
        this.receiptAccount = receiptAccount;
    }

    public String getReceiptRemark() {
        return receiptRemark;
    }

    public void setReceiptRemark(String receiptRemark) {
        this.receiptRemark = receiptRemark;
    }

    public Long getPurchContractApprovalId() {
        return purchContractApprovalId;
    }

    public void setPurchContractApprovalId(Long purchContractApprovalId) {
        this.purchContractApprovalId = purchContractApprovalId;
    }

    @Override
    public String toString() {
        return "PurchContractApprovalVatInfo{" +
                ", taxRate=" + taxRate +
                ", receiptType=" + receiptType +
                ", openCycle=" + openCycle +
                ", openBank=" + openBank +
                ", receiptAccount=" + receiptAccount +
                ", receiptRemark=" + receiptRemark +
                ", purchContractApprovalId=" + purchContractApprovalId +
                "}";
    }
}
